{
  "factory": {
    "id": "custom-connector-components",
    "type": "entaxy.runtime.connector",
    "description": "",
    "isAbstract": true,
    "parent": "abstract-connector",
    "label": "",
    "category": ""
  },
  "entaxy.runtime.connector": {},
  "fields": {},
  "outputs": {
    "init": {
      "isDefault": false,
      "generator": "",
      "config": {},
      "fields": {
        "customType": {
          "type": "String",
          "group": "custom route",
          "required": true,
          "displayName": "Pubish type as",
          "defaultValue": "custom"
        },
        "customProtocol": {
          "type": "String",
          "group": "custom route",
          "required": true,
          "displayName": "Publish protocol as",
          "defaultValue": "unknown"
        },
        "__meta": {
          "group": "",
          "defaultValue": {
            "properties": {
              "connectorInstanceProperties": {
                "protocol": {
                  "@CALCULATED": {
                    "expression": "${#OWNER#.properties.customProtocol}",
                    "lazy": true
                  }
                },
                "type": {
                  "@CALCULATED": {
                    "expression": "${#OWNER#.properties.customType}",
                    "lazy": true
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}